ptm_mgau_s Struct Reference

## Data Fields

ps_mgau_t | base
| base structure. More...
cmd_ln_t * | config
| Configuration parameters.
gauden_t * | g
| Set of Gaussians. More...
int32 | n_sen
| Number of senones. More...
uint8 * | sen2cb
| Senone to codebook mapping. More...
uint8 *** | mixw
| Mixture weight distributions by feature, codeword, senone.
mmio_file_t * | sendump_mmap
uint8 * | mixw_cb
int16 | max_topn
int16 | ds_ratio
ptm_fast_eval_t * | hist
| Fast evaluation info for past frames. More...
ptm_fast_eval_t * | f
| Fast eval info for current frame. More...
int | n_fast_hist
| Number of past frames tracked. More...
logmath_t * | lmath_8b
logmath_t * | lmath

## Detailed Description

Definition at line 68 of file ptm_mgau.h.

## Field Documentation

ps_mgau_t ptm_mgau_s::base

base structure.

Definition at line 69 of file ptm_mgau.h.

ptm_fast_eval_t* ptm_mgau_s::f

Fast eval info for current frame.

Definition at line 81 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

gauden_t* ptm_mgau_s::g

Set of Gaussians.

Definition at line 71 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

ptm_fast_eval_t* ptm_mgau_s::hist

Fast evaluation info for past frames.

Definition at line 80 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

int ptm_mgau_s::n_fast_hist

Number of past frames tracked.

Definition at line 82 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

int32 ptm_mgau_s::n_sen

Number of senones.

Definition at line 72 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

uint8* ptm_mgau_s::sen2cb

Senone to codebook mapping.

Definition at line 73 of file ptm_mgau.h.

Referenced by ptm_mgau_frame_eval().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ptm_mgau.h